#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,192,320,640,768,832,896,960,1280
 * N : 25,128,192,320,640,768,832,896,960,1280
 * NB : 2,16,12,24,16,24,32,64,64,64
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 76) (nb_) = 2; \
   else if ((n_) < 160) (nb_) = 16; \
   else if ((n_) < 256) (nb_) = 12; \
   else if ((n_) < 480) (nb_) = 24; \
   else if ((n_) < 704) (nb_) = 16; \
   else if ((n_) < 800) (nb_) = 24; \
   else if ((n_) < 864) (nb_) = 32; \
   else (nb_) = 64; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
